//
//  TSBaseView.swift
//  TSLiveWallpaper
//
//  Created by 100Years on 2024/12/24.
//

open class TSBaseView : UIView {

    public lazy var contentView:UIView = {
        let view = UIView()
        view.backgroundColor = .clear
        return view
    }()
    
    public override init(frame: CGRect) {
        super.init(frame: frame)
        self.backgroundColor = .clear
        self.addSubview(contentView)
        contentView.snp.makeConstraints { make in
            make.top.leading.trailing.bottom.equalTo(0)
        }
        creatUI()
        dealThings()
    }
    
    required public init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    open func creatUI(){
        
    }
    
    
    open func dealThings(){
        
        
    }
    
}
